Item Upload

Sync a retailer’s product Catalog with a file upload by first requesting a signed URL via Google Cloud Storage (GCS), then using a PUT request to upload a CSV to the provided URL. This allows the following to be updated;

Product categories

Product names and descriptions

PLU and GTINs

Product images

Product attributes and various taxonomies

Format

1.Request a Signed URL

Sending a request to this endpoint with a callbackUrl will return a signedUrl from GCS with specific headers.

2.Submit .csv file via PUT Request

Once a signedUrl is retrieved, the Item upload process is as follows;

  • Your Item .csv file should be submitted via a PUT request to the signedUrlwith all the headers provided
  • Deliverect will then process the CSV asynchronously and callback to the provided callbackUrl when the CSV file has been fully processed.
Path Params
string
required
Body Params

1. Signed URL Request

Once the signed URL is created, it is valid for 15 minutes. This means you have up to 15 minutes to initiate an upload via PUT of the CSV to this endpoint. For more information, see Google's Signed URLs documentation.

string

An optional URL where we'll send a completion event when items CSV fully imported

Headers
string
required
Defaults to retail
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json